Package org.eclipse.ecf.filetransfer.events.socket

# Interface ISocketClosedEvent

All Superinterfaces:
  `Event`, `ISocketEvent`

All Known Implementing Classes:
  `SocketClosedEvent`

public interface ISocketClosedEvent extends ISocketEvent
Event issued after a socket has been closed.

The associated source returned by `ISocketEvent.getSource()` is the same as for the prior `ISocketCreatedEvent` and `ISocketConnectedEvent` with the same `ISocketEvent.getFactorySocket()`. It may not reflect the source currently using or most recently using the socket.

EXPERIMENTAL. This class or interface has been added as part of a work in progress. There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the ECF team.

Since:
  3.0

## Method Summary

### Methods inherited from interface org.eclipse.ecf.filetransfer.events.socket.ISocketEvent

`getFactorySocket, getSocket, getSource, isSameFactorySocket`